Check visibility for passed user in IssueQuery.default
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

In IssueQuery.default, you can optionally pass a user to get the default query for. We should actually use this user to check the

visibility of the user's default query, rather than the implicit User.current.

Note that this is not a user-observable issue in Redmine right now, since we never pass an explicit user to IssueQuery.default which

is thus always User.current. If we were to pass a different user here, the check might be incorrect though.

The attached patch fixes this.

Related issues:

Related to Redmine - Defect #37499: Default query should not be applied if th... Closed

Associated revisions

Revision 21781 - 2022-08-26 03:19 - Go MAEDA

Check visibility for passed user in IssueQuery.default (#37499, #37608).

Patch by  Holger Just.

Revision 21870 - 2022-09-29 05:35 - Go MAEDA

Merged r21781 from trunk to 5.0-stable (#37499, #37608).

History

#1 - 2022-08-25 19:23 - Holger Just

- Related to Defect #37499: Default query should not be applied if the query is not allowed to be set as the default added

#2 - 2022-08-26 03:19 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix as a part of #37499. Thank you.
